Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif
Class JifScheduler

    java.lang.Object
      polyglot.frontend.Scheduler
          polyglot.ext.jl.JLScheduler
              jif.JifScheduler

    public class JifScheduler

extends polyglot.ext.jl.JLScheduler

Nested Class Summary

Nested classes/interfaces inherited from class polyglot.frontend.Scheduler
`polyglot.frontend.Scheduler.TheEndGoal`

Field Summary

Fields inherited from class polyglot.frontend.Scheduler
`commandLineJobs, COMPLETED_JOB, currentPass, dumpCounter, extInfo, goals, infiniteLoopGoal, inWorklist, jobs, MAX_RUN_COUNT, runCount, worklist`

Constructor Summary
`JifScheduler(ExtensionInfo extInfo, OutputExtensionInfo jlext)`

Method Summary
`polyglot.frontend.Job` | `addJob(polyglot.frontend.Source source)`
`polyglot.frontend.Job` | `addJob(polyglot.frontend.Source source, polyglot.ast.Node ast)`
`polyglot.frontend.goals.Goal` | `FieldConstantsChecked(polyglot.types.FieldInstance fi)`
`FieldLabelInferenceGoal` | `FieldLabelInference(polyglot.frontend.Job job)`
`polyglot.frontend.goals.Goal` | `InitializationsChecked(polyglot.frontend.Job job)`
`polyglot.frontend.goals.Goal` | `JifToJavaRewritten(polyglot.frontend.Job job)`
`LabelCheckGoal` | `LabelsChecked(polyglot.frontend.Job job)`
`boolean` | `runToCompletion()`

Methods inherited from class polyglot.ext.jl.JLScheduler
`CodeGenerated, ConstantsChecked, ConstructorCallsChecked, Disambiguated, ExceptionsChecked, ExitPathsChecked, ForwardReferencesChecked, ImportTableInitialized, MembersAdded, Parsed, ReachabilityChecked, Serialized, SignaturesDisambiguated, SignaturesResolved, SupertypesDisambiguated, SupertypesResolved, TypeChecked, TypeExists, TypesInitialized, TypesInitializedForCommandLine`

Methods inherited from class polyglot.frontend.Scheduler
`addCorequisiteDependency, addCorequisiteDependencyAndEnqueue, addDependencyAndEnqueue, addGoal, addPrerequisiteDependency, addPrerequisiteDependencyChain, attemptGoal, attemptGoal, commandLineJobs, completeJob, createSourceJob, currentGoal, currentJob, currentPass, dumpDependenceGraph, dumpDependenceGraph, dumpInFlightDependenceGraph, inInfiniteLoop, internGoal, jobs, loadSource, prerequisiteDependsOn, reached, runGoal, runPass, setCommandLineJobs, sourceHasJob, statusString, toString, worklist`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JifScheduler

    public JifScheduler(ExtensionInfo extInfo,
                        OutputExtensionInfo jlext)

Method Detail

### LabelsChecked

    public LabelCheckGoal LabelsChecked(polyglot.frontend.Job job)

### FieldLabelInference

    public FieldLabelInferenceGoal FieldLabelInference(polyglot.frontend.Job job)

### JifToJavaRewritten

    public polyglot.frontend.goals.Goal JifToJavaRewritten(polyglot.frontend.Job job)

### FieldConstantsChecked

    public polyglot.frontend.goals.Goal FieldConstantsChecked(polyglot.types.FieldInstance fi)

  Overrides:
    `FieldConstantsChecked` in class `polyglot.ext.jl.JLScheduler`

### InitializationsChecked

    public polyglot.frontend.goals.Goal InitializationsChecked(polyglot.frontend.Job job)

  Overrides:
    `InitializationsChecked` in class `polyglot.ext.jl.JLScheduler`

### runToCompletion

    public boolean runToCompletion()

  Overrides:
    `runToCompletion` in class `polyglot.frontend.Scheduler`

### addJob

    public polyglot.frontend.Job addJob(polyglot.frontend.Source source,
                                        polyglot.ast.Node ast)

  Overrides:
    `addJob` in class `polyglot.frontend.Scheduler`

### addJob

    public polyglot.frontend.Job addJob(polyglot.frontend.Source source)

  Overrides:
    `addJob` in class `polyglot.frontend.Scheduler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD